diff options
author | Markus Lehtonen <markus.lehtonen@linux.intel.com> | 2016-09-30 13:06:07 +0300 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2016-10-01 21:45:56 +0100 |
commit | a17ce357fec2c38db3ff5263c652c82fdf0682bc (patch) | |
tree | eaab269edd50c1d85b7219b0f9aef7ce41deee83 | |
parent | e4e6ff3be32f0d922b399588498a7beaf39c86d7 (diff) | |
download | poky-a17ce357fec2c38db3ff5263c652c82fdf0682bc.tar.gz |
build-perf-test-wrapper.sh: accept test case failures
Utilize the new return value (2) from oe-build-perf-test. Do not exit
with an error in case some individual tests fail. Even if some tests
fail we still want to complete successfully, that is, display and
archive the results and do cleanup. The individual tests do not depend
on each other anymore so test failures shouldn't affect the results of
successful tests.
(From OE-Core rev: e3c7d8a98a261a6a8c913e7fcd19264df501636d)
Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-x | scripts/contrib/build-perf-test-wrapper.sh | 23 |
1 files changed, 14 insertions, 9 deletions
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh index 97e24d8b23..e03ea978b9 100755 --- a/scripts/contrib/build-perf-test-wrapper.sh +++ b/scripts/contrib/build-perf-test-wrapper.sh | |||
@@ -117,15 +117,20 @@ if [ -f "$base_dir/auto.conf.extra" ]; then | |||
117 | fi | 117 | fi |
118 | 118 | ||
119 | # Run actual test script | 119 | # Run actual test script |
120 | if ! oe-build-perf-test --out-dir "$results_dir" \ | 120 | oe-build-perf-test --out-dir "$results_dir" \ |
121 | --globalres-file "$globalres_log" \ | 121 | --globalres-file "$globalres_log" \ |
122 | --lock-file "$base_dir/oe-build-perf.lock" \ | 122 | --lock-file "$base_dir/oe-build-perf.lock" \ |
123 | "${commit_results[@]}" \ | 123 | "${commit_results[@]}" \ |
124 | --commit-results-branch "{tester_host}/{git_branch}/$machine" \ | 124 | --commit-results-branch "{tester_host}/{git_branch}/$machine" \ |
125 | --commit-results-tag "{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"; then | 125 | --commit-results-tag "{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}" |
126 | echo "oe-build-perf-test script failed!" | 126 | |
127 | exit 1 | 127 | case $? in |
128 | fi | 128 | 1) echo "ERROR: oe-build-perf-test script failed!" |
129 | exit 1 | ||
130 | ;; | ||
131 | 2) echo "NOTE: some tests failed!" | ||
132 | ;; | ||
133 | esac | ||
129 | 134 | ||
130 | echo -ne "\n\n-----------------\n" | 135 | echo -ne "\n\n-----------------\n" |
131 | echo "Global results file:" | 136 | echo "Global results file:" |